%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-iconv-lite
Version:    0.2.11
Release:    2%{?dist}
Summary:    Convert character encodings in pure JavaScript
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/ashtuchkin/iconv-lite
Source0:    http://registry.npmjs.org/iconv-lite/-/iconv-lite-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
# NB: npm(iconv) requires libiconv, which is not yet packaged for Fedora.
BuildRequires:  npm(iconv)
BuildRequires:  npm(vows)
%endif

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/iconv-lite
cp -pr package.json encodings/ index.js \
    %{buildroot}%{nodejs_sitelib}/iconv-lite

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/vows/bin/vows --spec
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/iconv-lite


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.11-1
- update to upstream release 0.2.11

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.10-3
- fix ExclusiveArch usage

* Wed Jul 10 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.10-2
- do not package generation/ directory

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.10-1
- initial package
